Summary: An IIIMF Language Engine for Traditional Chinese.
Name: iiimf-le-xcin
Version: 0.1.5
Release: 1
License: GPL
Group: User Interface/X
Source0: %{name}-%{version}.tar.bz2
URL: http://tciiimf.sourceforge.net/

BuildRequires: iiimf-protocol-lib-devel >= 11.4-4
BuildRequires: iiimf-client-lib-devel >= 11.4-4

Requires: iiimf-server >= 11.4-4
Requires: iiimf-client-lib >= 11.4-4
Requires: iiimf-protocol-lib >= 11.4-4

Buildroot: %{_tmppath}/%{name}-buildroot

%description
A IIIMF language engine which ported from a popular traditional chinese input method, xcin, which was written using XIM protocol

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n iiimf-xcin
find . -name CVS | xargs rm -rf

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install

mkdir -p $RPM_BUILD_ROOT/usr/lib/im/leif
mkdir -p $RPM_BUILD_ROOT/usr/lib/im/locale/zh_TW/xcin/tab
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /usr/lib/im/locale/zh_TW/xcin/
%dir /usr/lib/im/locale/zh_TW/xcin/tab/
%doc README ChangeLog 
%config /usr/lib/im/locale/zh_TW/xcin/xcin.conf
/usr/lib/im/locale/zh_TW/xcin/*
/usr/lib/im/leif/*


%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 15 2004 Leon Ho <llch@redhat.com> 0.1.5-1
- iiimf-xcin 0.1.5
    - Included nine input methods
    - Use keyname instead of normal letters in preedit area
    - Fixed 'enter' should commit candidate when lookup is on
    - Fixed crash problem on running le couple of times
    - Fixed crash problem on loading input styles couple of times
    - Added ctrl-shift switching
    - Fixed the lookup window by closing it when switching

* Fri Feb 27 2004 Leon Ho <llch@redhat.com> 0.1-5
- rebuilt

* Thu Feb 26 2004 Leon Ho <llch@redhat.com> 0.1-4
- install cin2tab with 755 (#116892)
- install .so files with executable (#116554)
- fixed '0' commit to preedit problem
- added 'esc' clean preedit
- fixed candidates non-empty problems

* Thu Feb 16 2004 Leon Ho <llch@redhat.com> 0.1-3
- added cin2tab
- added conversion of cin to tab in compilation time

* Thu Feb 12 2004 Leon Ho <llch@redhat.com> 0.1-2
- fixed some multi candidates problem
- add tab file and change tab file locations

* Wed Feb 11 2004 Leon Ho <llch@redhat.com> 0.1-1
- iiimf-xcin v0.1

